%define VERSION 1.10
%define RELEASE 1

Summary: Canon Printer Driver Common Module for Linux v%{VERSION}
Name: cndrvcups-common
Version: %{VERSION}
Release: %{RELEASE}
License: See the LICENSE*.txt file.
# Copyright: Copyright CANON INC. 2004-2005. All Rights Reserved.
Vendor: CANON INC.
Group: Applications/Publishing
Source: cndrvcups-common-%{version}-%{release}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: gtk+

%description

%prep
%setup -q

cd buftool
./autogen.sh --prefix=%{_prefix} --enable-progpath=%{_bindir} --libdir=%{_libdir} --disable-shared --enable-static

cd ../cpca
./autogen.sh --prefix=%{_prefix} --enable-progpath=%{_bindir} --libdir=%{_libdir} --enable-shared --disable-static

cd ../cngplp
if [ -x /usr/bin/automake-1.8 ] ; then
	./autogen.sh --libdir=%{_libdir}
elif [ -x /usr/bin/automake-1.6 ] ; then
	./autogen.sh --libdir=%{_libdir}
else
	./autogen-old.sh --libdir=%{_libdir}
fi

%build
make

%install
mkdir -pv ${RPM_BUILD_ROOT}%{_bindir}
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/bin
mkdir -pv ${RPM_BUILD_ROOT}%{_libdir}
mkdir -pv ${RPM_BUILD_ROOT}%{_includedir}
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/ja/LC_MESSAGES

make install DESTDIR=${RPM_BUILD_ROOT}

# install -c -s -m 755 libs/cnpkmodule ${RPM_BUILD_ROOT}%{_bindir}
install -c libs/cnpkmodule ${RPM_BUILD_ROOT}%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

%postun

%files
%defattr(-,root,root)
%{_libdir}/libcnpk.*
%{_prefix}/local/share/locale/ja/LC_MESSAGES/cngplp.mo
%{_prefix}/local/bin/cngplp
%{_bindir}/cnpkmodule
%{_libdir}/libbuftool.a
%{_includedir}/buftool.h
%{_includedir}/buflist.h
%{_includedir}/cnpklib.h

%doc LICENSE-common-%{version}J.txt
%doc LICENSE-common-%{version}E.txt
